@import url('https://fonts.googleapis.com/css2?family=Marko+One&family=Maven+Pro:wght@400;500;600;700;800;900&display=swap');

html {
  scroll-behavior: smooth;
  overflow-x: hidden;
  transition: all 0.6s ease-in-out;
}
body{
  position: relative;
}
#goToTopBtn{
  position: absolute;
  bottom: 200px;
  right: 100px;
  background: transparent;
  border: 1.4px solid #fff;
}
/* Customize the scrollbar track */
::-webkit-scrollbar {
  width: 6px; 
  background: transparent; 
}

/* Customize the scrollbar thumb (the draggable part) */
::-webkit-scrollbar-thumb {
  background: #26a60f; 
  border-radius: 5px; 
}

/* Customize the scrollbar track on hover */
::-webkit-scrollbar-track:hover {
  background: transparent; 
}


.navbar{
    border-bottom:  1px solid rgba(202, 200, 200, 0.67);
}
.logo{
    color: #000;
    font-family: Marko One;
    font-size: 20px;
    font-style: normal;
    font-weight: 900;
    line-height: normal;
}
.nav-item .nav-link{
    color: #000;
    font-family: 'Maven Pro', sans-serif; 
    font-size: 16px;
    font-style: normal;
    line-height: normal;
    transition: all 0.3s ease-in-out;
}
.nav-link:hover{
  color: #ff9500;
}
.nav-item{
  position: relative;
}
#cartNumber{
  position: absolute;
  top: -10px;
  left: 20px;
  width: 25px;
  height: 25px;
  background: #101010;
  border-radius: 100%;
  border: 2px solid #52FF00;
  color: #fff;
  font-size: 10px;
  display: flex !important;
  justify-content: center;
  align-items: center;
  font-weight: 500;
  font-family: Maven Pro;
}
.dropdown-menu{
  border-radius: 0px 0px 20px 20px !important;
  height: 123px;
  width: 187px;
  background: #FFF !important;
  box-shadow: -1px 0px 4px 0px rgba(0, 0, 0, 0.10), 1px 0px 4px 0px rgba(0, 0, 0, 0.10), 0px 1px 4px 0px rgba(0, 0, 0, 0.10);
}
.dropdown-item{
  color: #000;
  font-family: Maven Pro;
  font-size: 14px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
}
.myAccount:focus{
  background-color: #ebebeb !important;
  color: #000 !important;
}
.logout-button{
  width: 150px;
  align-self: center;
  background: #000 !important;
  color: #fff !important;
}
.logout-button:hover{
  border: 2px solid #000;
  background-color: white !important;
  color: #000 !important;
}

/* active navitem */
.active{
  color: #ff9500 !important;
  font-weight: 900;
  text-decoration: underline;
}

/* hero section */
.hero-heading{
  color: rgba(0, 0, 0, 0.87);
  font-family: Marko One;
  font-size: 36px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
}

.hero-button {
  position: relative;
  padding: 12px 35px;
  background: #000;
  font-family: Marko One;
  font-size: 20px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
  color: #fff;
  border: 3px solid #000;
  width: 292px !important;
  height: 59px !important;
  box-shadow: 0 0 0 #0000;
  transition: all .3s ease-in-out;
}

.star-1 {
  position: absolute;
  top: 20%;
  left: 20%;
  width: 25px;
  height: auto;
  filter: drop-shadow(0 0 0 #000);
  z-index: -5;
  transition: all 1s cubic-bezier(0.05, 0.83, 0.43, 0.96);
}

.star-2 {
  position: absolute;
  top: 45%;
  left: 45%;
  width: 15px;
  height: auto;
  filter: drop-shadow(0 0 0 #000);
  z-index: -5;
  transition: all 1s cubic-bezier(0, 0.4, 0, 1.01);
}

.star-3 {
  position: absolute;
  top: 40%;
  left: 40%;
  width: 5px;
  height: auto;
  filter: drop-shadow(0 0 0 #000);
  z-index: -5;
  transition: all 1s cubic-bezier(0, 0.4, 0, 1.01);
}

.star-4 {
  position: absolute;
  top: 20%;
  left: 40%;
  width: 8px;
  height: auto;
  filter: drop-shadow(0 0 0 #000);
  z-index: -5;
  transition: all .8s cubic-bezier(0, 0.4, 0, 1.01);
}

.star-5 {
  position: absolute;
  top: 25%;
  left: 45%;
  width: 15px;
  height: auto;
  filter: drop-shadow(0 0 0 #000);
  z-index: -5;
  transition: all .6s cubic-bezier(0, 0.4, 0, 1.01);
}

.star-6 {
  position: absolute;
  top: 5%;
  left: 50%;
  width: 5px;
  height: auto;
  filter: drop-shadow(0 0 0 #000);
  z-index: -5;
  transition: all .8s ease;
}

.hero-button:hover {
  background: transparent;
  color: #000;
  box-shadow: 0 0 25px #0000;
}

.hero-button:hover .star-1 {
  position: absolute;
  top: -80%;
  left: -30%;
  width: 25px;
  height: auto;
  filter: drop-shadow(0 0 10px #000);
  z-index: 2;
}

.hero-button:hover .star-2 {
  position: absolute;
  top: -25%;
  left: 10%;
  width: 15px;
  height: auto;
  filter: drop-shadow(0 0 10px #000);
  z-index: 2;
}

.hero-button:hover .star-3 {
  position: absolute;
  top: 55%;
  left: 25%;
  width: 5px;
  height: auto;
  filter: drop-shadow(0 0 10px #000);
  z-index: 2;
}

.hero-button:hover .star-4 {
  position: absolute;
  top: 30%;
  left: 80%;
  width: 8px;
  height: auto;
  filter: drop-shadow(0 0 10px #000);
  z-index: 2;
}

.hero-button:hover .star-5 {
  position: absolute;
  top: 25%;
  left: 115%;
  width: 15px;
  height: auto;
  filter: drop-shadow(0 0 10px #000);
  z-index: 2;
}

.hero-button:hover .star-6 {
  position: absolute;
  top: 5%;
  left: 60%;
  width: 5px;
  height: auto;
  filter: drop-shadow(0 0 10px #000);
  z-index: 2;
}

.fil0 {
  fill: #fff
}

/* carousel-image */
.slide-inner {
  margin-top: 20px;
  display: flex !important;
  flex-direction: row !important;
  width: 100%;
  padding-right: 20px;
  overflow: hidden; /* Hide overflowing images */
  transition: all 0.6s ease-in-out;
}

.slide {
  display: flex;
  width: 100%;
  gap: 10px;
}

.slide-image {
  width: calc(100% /3);
  height: 422px;
  object-fit: cover;
  border-radius: 20px;
  border: 1px solid rgba(0, 0, 0, 0.653);
}

.slider-indicators {
  margin-top: 20px;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 5px;
}

.slider-indicators > button {
  width: 30px;
  height: 9px;
  border-radius: 20px;
  background: transparent;
  outline: none;
}

.activeButton {
  background: #000 !important;
}


@media (max-width:556px) {
.slider-indicators {
  margin-bottom: 80px;
}
.left-hero-section{
  padding-top: 20px;
  text-align: center;
}
}

/* product-section */
  .heading-text{
    color: #000;
    font-family: Maven Pro;
    font-size: 30px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
  }
  .shopCart{
    margin: 0 !important;
    height: 500px;
    border: 1px solid #000;
  }

.productImgconatainer{
    height: 400px;
    width: 100%;
    overflow: hidden;

}
.productImg{
    height: 100%;
    width: 100%;
    object-fit: cover;
    object-position: top;
    transition: transform 0.3s;
}
.productImg:hover{
    overflow: hidden;
    transform: scale(2.2);
    cursor: default;
}
.productTiltle{
    color: #000;
    font-family: Maven Pro;
    font-size: 18px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    height: 50px;
    display: flex;
    align-items: center;
    padding-left: 20px;
    border-bottom: 1px solid #000;
    margin: 0!important;
}
.shopCartButtonContainer{
    margin: 0 !important;
    display: flex;
    width: 100%;
    height:50px ;
    background-color: transparent;
}
.price{
    display: flex;
    align-items: center;
    width: 50%;
    height: 100%;
    border-right: 1px solid #000;
    padding-left: 20px;
   
}
.Addcart {
    width: 50%;
    height: 100%;
}
.Addcart > button{
    width: 100%;
    height: 100%;
    outline: none;
    border: none;
    background:transparent;
    color: #000;
    font-family: Maven Pro;
    font-size: 16px;
    font-style: normal;
    font-weight: 600;
    line-height: normal;
    transition: all 0.3s ease;
}
.Addcart > button:hover{
    background: #000;
    color: #fff;

}
.price h6{
    color: #000;
    font-family: Maven Pro;
    font-size: 16px;
    font-style: normal;
    font-weight: 600;
    line-height: normal;
}
.body-button{
    width: 397px;
    height: 59px;
    text-transform: uppercase;
    background-color: #000;
    color: #FFF;
    font-family: Maven Pro;
    font-size: 18px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    border: 2px solid #000;
    transition: all 0.3s ease;
}
.body-button:hover{
    color: #000;
    background: #fff;
    border: 2px solid #000;
}

/* add to cart modal */
.chooseProductsizeTiltle{
  color: rgba(0, 0, 0, 0.86);
  font-family: Maven Pro;
  font-size: 20px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;

}


/* about brand section */
.about-brand-section{
    margin-top: 100px !important;
    width: 100%;
    min-height: 100vh;
    background-color: #000000;
}
.about-heading{
    color: #FFF;
    font-family: Russo One;
    font-size: 48px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    text-transform: capitalize;
}
.body-text{
    color: #FFF;
    font-family: Maven Pro;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 30px;
}
.showImage{
    width: 502px;
    height: 65%;
    margin-top: 80px;
    overflow: hidden;
}
.showImage >img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: top;
    border-radius: 10px;
    border: 1px solid #FFF;
    transition: all 0.3ss ease;
}

.showImageButtonContainer{
    display: flex;
    flex-direction: row;
    gap: 10px;
    transition: all 0.3s ease;
}
.showImageButton{
    width: 81px;
    height: 81px;
    display: flex;
    justify-content: center;
    align-items: center;
    outline: none;
    border: 1px solid rgba(255, 255, 255, 0.69);
    border-radius: 15px;
    background: transparent;
}
.active-button{
    border: 1.5px solid #4ADB05 !important;
}
.showImageButton>img{
    border-radius: 15px;
    width: 73px;
    height: 73px;
}

@media (max-width:1000px) {
  .showImageButtonContainer,.showImage{
    display: none;
  }
  
}
/* brand section */
.image-outer-1{
  width: 100%;
  height: 500px;
  border-radius: 10px;
  border: 1.5px dashed rgba(0, 0, 0, 0.1);
  background: rgba(217, 217, 217, 0.00);
  display: flex;
  justify-content: center;
  align-items: center;
  }
  .image-outer-2{
    width: 90%;
    height: 450px;
    border-radius: 10px;
    border: 1.5px dashed rgba(0, 0, 0, 0.18);
    background: rgba(217, 217, 217, 0.00);
    display: flex;
    justify-content: center;
    align-items: center;
  }
  .image-outer-3{
    width: 88%;
    height: 400px;
    border-radius: 10px;
    border: 1.5px dashed rgba(0, 0, 0, 0.2);
    background: rgba(217, 217, 217, 0.00);
    display: flex;
    justify-content: center;
    align-items: center;
  }
  .image-outer-4{
    width: 90%;
    height: 350px;
  }
  .image-outer-4 .brand-img{
    object-fit: cover;
    object-position: top;
    width: 100%;
    height: 100%;
    border-radius: 4px;
  }
  .brand-img-1,.brand-img-2,.brand-img-3{
    width: 455px;
    height: 42px;
  }
  .brand-img-1 > img,.brand-img-2 > img,.brand-img-3 > img{
    object-fit: cover;
    width: 100%;
    height: 100%;
    border-radius: 4px;
    border: 1px solid #FFA500;
    filter:  brightness(34%) contrast(111%);
  }
.tadninsonam{
  color: #000;
  font-family: Russo One;
  font-size: 20px;
  font-style: normal;
  font-weight: 500;
  line-height: normal;
}
@media (max-width:556px) {
  .brand-img-1,.brand-img-2,.brand-img-3{
    width: 100%;
    height: 40px;
  }
  
}

/* footer */
.footer{
    min-height: 70vh;
    background: #000;
    color:  rgba(255, 255, 255, 0.83)!important;
    font-family: Maven Pro;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}
.footer-heading{
    color: rgba(255, 255, 255, 0.83);
    font-family: Russo One;
    font-size: 20px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}
.footer-logo-heading{
    color: rgba(255, 255, 255, 0.83);
    font-family: Russo One;
    font-size: 30px;
    font-style: normal;
    font-weight: 900;
    line-height: normal;
}
.footer a{
    text-decoration: none;
    color: rgba(255, 255, 255, 0.83);
    font-family: Maven Pro;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    transition: all 0.3s ease;
}
.footer a :hover{
    color: orange;
}


/* cloth size modal */
.clothSize{
  width: 40px;
  font-size: 20px;
  font-weight: 900 !important;
  color: #000 !important;
  border: 1px solid #000 !important;
}
.AddcartButton{
  border: none;
  text-align: center;
  width: 70%;
  height: 40px;
  background-color: #000;
  color: #fff;
  text-transform: uppercase;
  font-weight: 700;
  font-size: 14px !important;
  margin-top: 40px !important;
}


/* Style for overlay */
.overlay {
      display: none;
      position: fixed;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      background-color: rgba(0, 0, 0, 0.644);
      justify-content: center;
      align-items: center;
      z-index: 999;
    }

/* Style for modal */
.modal-container {
      width: 50%;
      z-index: 9999;
      background-color: #fff;
      padding: 20px;
      border-radius: 5px;
      box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
    }
.success-message-container{
  position: absolute;
  top: 0px;
  right: 0px;
  width: 400px !important;
  font-weight: 800;
}



